# JavaGradlePluginPlugin

@NullMarked
abstract class JavaGradlePluginPlugin : Plugin<T>

A plugin for building java gradle plugins. Automatically generates plugin descriptors. Emits warnings for common error conditions.

Provides a direct integration with TestKit by declaring the `gradleTestKit()` dependency for the test compile configuration and a dependency on the plugin classpath manifest generation task for the test runtime configuration. Default conventions can be customized with the help of GradlePluginDevelopmentExtension. Integrates with the 'maven-publish' and 'ivy-publish' plugins to automatically publish the plugins so they can be resolved using the `pluginRepositories` and `plugins` DSL.

#### See also

<a href="https://docs.gradle.org/current/userguide/java_gradle_plugin.html">Gradle plugin development reference</a>

## Constructors

JavaGradlePluginPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)